export declare const SERVER_URL: string;
interface ImageSearchPayload {
    query: string;
    orientation?: 'landscape' | 'portrait' | 'square' | 'all';
    locale?: 'zh' | 'en';
    order?: 'popular' | 'latest';
    size?: 'large' | 'medium' | 'small';
    image_type?: 'all' | 'photo' | 'illustration' | 'vector';
    page?: number;
    per_page?: number;
}
interface AIPPTOutlinePayload {
    content: string;
    language: string;
    model: string;
}
interface AIPPTPayload {
    content: string;
    language: string;
    style: string;
    model: string;
}
interface AIWritingPayload {
    content: string;
    command: string;
}
declare const _default: {
    getMockData(filename: string): Promise<any>;
    searchImage(body: ImageSearchPayload): Promise<any>;
    AIPPT_Outline({ content, language, model, }: AIPPTOutlinePayload): Promise<any>;
    AIPPT({ content, language, style, model, }: AIPPTPayload): Promise<any>;
    AI_Writing({ content, command, }: AIWritingPayload): Promise<any>;
    getPPTData(pdfId: string): Promise<any>;
    postPPTData(data: Record<string, any>): Promise<any>;
};
export default _default;
